<!DOCTYPE html>
<html>
<head><meta http-equiv="Content-Type" content="text/html; charset=gb18030">

  <!-- Enlace externo JQUERY UI-->
  <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
  <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

  <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
  <link rel="stylesheet" href="/resources/demos/style.css">


</head>
<body>


<?php
	include("db/Test.php");
	session_start();
	if(isset($_SESSION["ingreso"]))
	{
		if(isset($_POST["btnenviar"])){

				/*Iniciando RAND*/
				$rand =  rand(1,9999);

				/*POST de campos del formulario Editar*/
				$code_producto = $_POST["hcode_producto"];
				$hcode_categoria = $_POST["hcode_categoria"];
				
				$nuevo_nombre = $_POST["txt_nombre"]; 
				$nuevo_precio = $_POST["txt_precio"];
				$nueva_descripcion = $_POST["txt_descrip"];
				$nueva_categoria = $_POST["nuevo_select"]; 
		
				/*Actualizando el registro*/
				$stmt2 = "UPDATE producto SET
				nom_producto = '$nuevo_nombre', 
				pre_producto = $nuevo_precio, 
				des_producto ='$nueva_descripcion', 
				m_categoria_cod_categoria = $nueva_categoria,
				fac_producto = NOW() 
				WHERE 
				cod_producto = $code_producto";

				$result2 = mysqli_query($link,$stmt2);

	
				/*Validando la ejecucion del $result2*/
				if($result2){
				?>	

					<!-- ShowMessage Producto Actualizado -->
					<div id="dialog-message" title="Producto Actualizado">
						  <p>
						    <span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;">
						   	</span>
						    El producto fue Actualizado satisfactoriamente!!! :) . 
						  </p>
					</div>

				<?php
					echo"<script>window.location='Producto.php?codcat=".$hcode_categoria."';</script>";
					header("Location:Producto.php?codcat=$hcode_categoria");
				}	
				else{
					echo "Error: " . $stmt2 . "<br>" . mysqli_error($link);
				}

			
		}
		else{
				header("Location:Producto.php");
		}
	}
	else{
			header("Location:index.html");
	}

?>
	

<!-- JS para mensaje emergente Actualizar Producto -->
  <script>
  $( function() {
    $( "#dialog-message" ).dialog({
      modal: true,
      buttons: {
        Ok: function() {
          $(this).dialog("close");
          $(location).attr('href',"Producto.php?codcat=<?php echo $hcode_categoria; ?>");
          
        }
      }
    });
  } );
  </script>



</body>
</html>
